/* uni.inc
   Copyright (C) 1993, 1997, 1998  J Dana Eckart
  
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 1, or (at your option)
   any later version.
  
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
  
   You should have received a copy of the GNU General Public License
   along with CELLULAR; see the file COPYING.  If not, write to the 
   Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* Initialize the values of the above variables. */
void init_display(void) {
	dim_given = 0;

	range_dim_1_index = 0;
	range_dim_2_index = 1;
	range_dim_3_index = 2;

#if DIMS >= 1
	lower[0] = 0;
	upper[0] = DIM_1_SIZE-1;
#endif
#if DIMS >= 2
	lower[1] = 0;
	upper[1] = DIM_2_SIZE-1;
#endif
#if DIMS >= 3
	lower[2] = 0;
	upper[2] = DIM_3_SIZE-1;
#endif
}

#if MAX_CPUS > 1
/* Need to satisfy extern declaration in the viewer. */
void create_threads(void) {}
unsigned char cpus = CPUS;
int master_id; 
#if SUN
#include <synch.h>
mutex_t display_mutex;
#endif
#endif
