/* my_rand.c
   Copyright (C) 1992  J Dana Eckart

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 1, or (at your option)
   any later version.
 
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with CELLULAR; see the file COPYING.  If not, write to the 
   Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* Since various systems do not have particularly good random number
   generators, this one is included to provide consistent results
   across systems.  Since it is specialized to the needs of the example
   Cellang programs, no seed function is necessary/provided.
*/

static long int last = 10;

long int my_random(void) {
	return last = (1909 * last + 221571) % 65563;
}
