/* symtable.h
   Copyright (C) 1992  J Dana Eckart
  
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 1, or (at your option)
   any later version.
  
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
  
   You should have received a copy of the GNU General Public License
   along with CELLULAR; see the file COPYING.  If not, write to the 
   Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* The exported declarations for using the symbol table. */

#define VARIABLE 	0
#define CELL_FIELD	1
#define AGENT_FIELD	2
#define CONSTANT	3

extern void initsymboltable(void);
extern void enterid(char *, attr_rec);
extern void removeid(char *, int);
extern boolean intable(char *, int);
extern attr_rec *get_attribute(char *, int);
